summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/healpy/Manifest1
-rw-r--r--dev-python/healpy/healpy-1.11.0.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/healpy/Manifest b/dev-python/healpy/Manifest
index f2f5ebae3302..46b7aeb0ff86 100644
--- a/dev-python/healpy/Manifest
+++ b/dev-python/healpy/Manifest
@@ -1 +1,2 @@
DIST healpy-1.10.3.tar.gz 4018897 SHA256 43bdccb0081b3b5a72a9c1f523c367bc2cba91f989a60047d8043685a3beb81b SHA512 c5862fceb597ffbc5c53204479fa9dba19287e3c08744e25edef3eaecfa726e61e8558d50d73e2bf4d19b7d0adc0ac928a38c4808fc92fe855f5eae101e18baa WHIRLPOOL f3d883f8de8c35573d865ab444818b5b3e3cbeac4176961cd8db39931a09b0d52a7f2fe7c6f3862823d32cd2ec2a569a17f6dc9e1da8510f35940f9ddbb7b66a
+DIST healpy-1.11.0.tar.gz 4033412 SHA256 8c3c7982ae188549315a11f4d1aa6528cd1ccf078017ca20120ff2cf1b47babe SHA512 35926c769f2fd4ebc3cd61357d742e9e1747325187e465bd3be62b4281506bd02cf3d8b982583819219e994dfa3936d6bc61914218325bb6b4ddfcffc50c802f WHIRLPOOL 59cb954d30b6df3db07ae4aa94e576c94f19eaf8e99e7416bf162c362089490999b6e85a62f94c09d62d37292b82d2bfaf7e89de1b93882e0b35cd6ab8887a59
diff --git a/dev-python/healpy/healpy-1.11.0.ebuild b/dev-python/healpy/healpy-1.11.0.ebuild
new file mode 100644
index 000000000000..c517d95ea5cf
--- /dev/null
+++ b/dev-python/healpy/healpy-1.11.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for healpix"
+HOMEPAGE="https://github.com/healpy"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ dev-python/astropy[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ sci-astronomy/healpix:=[cxx]
+ sci-libs/cfitsio:="
+DEPEND="${RDEPEND}
+ dev-python/astropy-helpers[${PYTHON_USEDEP}]
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cython[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( README.rst CHANGELOG.rst CITATION )
+
+python_test() {
+ echo "backend: Agg" > matplotlibrc || die
+ MPLCONFIGDIR=. esetup.py test || die
+ rm matplotlibrc || die
+}